Page MenuHomePhabricator

Cumin: add custom backend to WMCS
Closed, ResolvedPublic

Description

Add a custom backend to read the hosts list from a file to be used to cover cases not allowed by the OpenStack API.

In particular the list of hosts with NFS enabled and configured is impossible to get with the current backend capabilities.

Details

Related Gerrit Patches:
operations/puppet : productionNFS: add custom script to generate target hosts
operations/puppet : productionCumin: add custom backend in WMCS

Event Timeline

Volans created this task.Jan 29 2018, 11:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 11:50 PM
Volans moved this task from Backlog to In Progress on the SRE-tools board.Jan 29 2018, 11:50 PM

Change 406778 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Cumin: add custom backend in WMCS

https://gerrit.wikimedia.org/r/406778

Change 406779 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] NFS: add custom script to generate target hosts

https://gerrit.wikimedia.org/r/406779

Volans moved this task from In Progress to In Code Review on the SRE-tools board.Jan 29 2018, 11:58 PM
Volans removed Volans as the assignee of this task.Jan 30 2018, 12:03 AM
Volans triaged this task as Medium priority.

De-assigning from myself, that part is done. I'll leave it to @madhuvishy for the final part on the NFS script.

Change 406778 merged by Volans:
[operations/puppet@production] Cumin: add custom backend in WMCS

https://gerrit.wikimedia.org/r/406778

@madhuvishy can this be closed?

@Volans Indeed, I fixed up the script based on the comments, we can close this task when the patch is merged! Thank you

Change 406779 merged by Madhuvishy:
[operations/puppet@production] NFS: add custom script to generate target hosts

https://gerrit.wikimedia.org/r/406779

bd808 closed this task as Resolved.Mar 30 2018, 11:43 PM
bd808 assigned this task to madhuvishy.